summary refs log tree commit diff
path: root/ci
diff options
context:
space:
mode:
authorDavid Robertson <david.m.robertson1@gmail.com>2021-08-10 10:59:13 +0100
committerDavid Robertson <david.m.robertson1@gmail.com>2021-08-10 16:38:13 +0100
commit8da9e3cb69db1bed68889b6a5fbcecf1bf20a235 (patch)
treed2e11a66534fd4730cb3d8c7daddb45e3f25be1e /ci
parentConvert Transaction and Edu object to attrs (#10542) (diff)
downloadsynapse-8da9e3cb69db1bed68889b6a5fbcecf1bf20a235.tar.xz
Move test_old_deps.sh to new ci dir
Diffstat (limited to 'ci')
-rwxr-xr-xci/scripts/test_old_deps.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/ci/scripts/test_old_deps.sh b/ci/scripts/test_old_deps.sh
new file mode 100755
index 0000000000..8b473936f8
--- /dev/null
+++ b/ci/scripts/test_old_deps.sh
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+
+# this script is run by GitHub Actions in a plain `bionic` container; it installs the
+# minimal requirements for tox and hands over to the py3-old tox environment.
+
+set -ex
+
+apt-get update
+apt-get install -y python3 python3-dev python3-pip libxml2-dev libxslt-dev xmlsec1 zlib1g-dev tox
+
+export LANG="C.UTF-8"
+
+# Prevent virtualenv from auto-updating pip to an incompatible version
+export VIRTUALENV_NO_DOWNLOAD=1
+
+exec tox -e py3-old,combine